[SRU][Trusty][PATCH 0/1] Fix for CVE-2018-18386

Kleber Sacilotto de Souza kleber.souza at canonical.com
Fri Nov 9 17:04:25 UTC 2018


https://people.canonical.com/~ubuntu-security/cve/2018/CVE-2018-18386.html

 drivers/tty/n_tty.c in the Linux kernel before 4.14.11 allows local
 attackers (who are able to access pseudo terminals) to hang/block further
 usage of any pseudo terminal devices due to an EXTPROC versus ICANON
 confusion in TIOCINQ.

Clean cherry-pick for Trusty.

Linus Torvalds (1):
  n_tty: fix EXTPROC vs ICANON interaction with TIOCINQ (aka FIONREAD)

 drivers/tty/n_tty.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

-- 
2.17.1




More information about the kernel-team mailing list